Bug 1082825 - Review Request: mozilla-lightbeam - An add-on for visualizing HTTP requests between websites in real time
Summary: Review Request: mozilla-lightbeam - An add-on for visualizing HTTP requests b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-31 21:50 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2016-09-01 18:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-28 08:26:32 UTC
Type: ---
rosser.bjr: fedora-review+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2014-03-31 21:50:48 UTC
Spec URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam.spec
SRPM URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam-1.0.9-1.fc20.src.rpm
Description:
Fedora Account System Username: rathann

Comment 1 Dominik 'Rathann' Mierzejewski 2014-06-02 22:19:32 UTC
Spec URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam.spec
SRPM URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam-1.0.10.1-1.fc20.src.rpm

* Mon Jun 02 2014 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.0.10.1-1
- updated to 1.0.10.1

Comment 2 Dominik 'Rathann' Mierzejewski 2014-10-03 11:07:53 UTC
Spec URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam.spec
SRPM URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam-1.0.10.2-1.fc20.src.rpm

* Fri Oct 03 2014 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.0.10.2-1
- updated to 1.0.10.2

Comment 3 Dominik 'Rathann' Mierzejewski 2016-03-11 15:17:14 UTC
Spec URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam.spec
SRPM URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam-1.3.0-1.fc23.src.rpm

* Fri Mar 11 2016 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.3.0-1
- update to 1.3.0
- package signed xpi from addons.mozilla.org
- add missing license tags
- add Provides for bundled stuff

Comment 4 Ben Rosser 2016-07-16 17:06:20 UTC
I'm happy to review this, any chance you could take https://bugzilla.redhat.com/show_bug.cgi?id=1350260 in return?

Comment 5 Dominik 'Rathann' Mierzejewski 2016-07-19 19:28:26 UTC
Sure, I'll review cmap-resources. Thanks!

Comment 6 Ben Rosser 2016-07-19 23:01:17 UTC
Issues
======

* Version 1.3.1 seems to be available: https://addons.mozilla.org/en-US/firefox/addon/lightbeam/; can you update the package, and I'll re-review?

* https://fedoraproject.org/wiki/User:Kalev/MozillaExtensionsDraft#Sample_Spec_File seems to sugggest that XPIs should be unpacked? I'm assuming that's no longer the case because of extension signing?

* This is very minor, but rpmlint is unhappy that your bundled font provides are not versioned. The versioning information can be acquired by unzipping the XPI and running ttname -a over the font files. It'd probably be nice to include that information, though I wouldn't consider it a blocker for review.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "MIT/X11 (BSD like)", "*No copyright* MIT/X11
     (BSD like)", "Unknown or generated", "*No copyright* MPL (v2.0)". 5
     files have unknown license. Detailed output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1082825-mozilla-
     lightbeam/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384},
     /usr/share/mozilla/extensions/{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mozilla-lightbeam-1.3.0-1.fc25.noarch.rpm
          mozilla-lightbeam-1.3.0-1.fc25.src.rpm
mozilla-lightbeam.noarch: W: no-documentation
mozilla-lightbeam.src:33: W: unversioned-explicit-provides bundled(OpenSans-Bold.ttf)
mozilla-lightbeam.src:34: W: unversioned-explicit-provides bundled(OpenSans-Light.ttf)
mozilla-lightbeam.src:35: W: unversioned-explicit-provides bundled(OpenSans-LightItalic.ttf)
mozilla-lightbeam.src:37: W: unversioned-explicit-provides bundled(fontawesome-fonts-web)
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
mozilla-lightbeam.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
mozilla-lightbeam (rpmlib, GLIBC filtered):
    mozilla-filesystem



Provides
--------
mozilla-lightbeam:
    bundled(OpenSans-Bold.ttf)
    bundled(OpenSans-Light.ttf)
    bundled(OpenSans-LightItalic.ttf)
    bundled(fontawesome-fonts-web)
    bundled(js-d3)
    bundled(js-parseuri)
    bundled(js-picomodal)
    mozilla-lightbeam



Source checksums
----------------
https://addons.cdn.mozilla.net/user-media/addons/363974/lightbeam_for_firefox-1.3.0-fx.xpi :
  CHECKSUM(SHA256) this package     : 8c3aa4d20355048fbe56131231f066235b2a540b1ca9b7f38b727aaf4710fc79
  CHECKSUM(SHA256) upstream package : 8c3aa4d20355048fbe56131231f066235b2a540b1ca9b7f38b727aaf4710fc79


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1082825 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Ben Rosser 2016-08-17 19:57:51 UTC
Any news here?

Comment 8 Dominik 'Rathann' Mierzejewski 2016-08-19 19:06:44 UTC
(In reply to Ben Rosser from comment #6)
> Issues
> ======
> 
> * Version 1.3.1 seems to be available:
> https://addons.mozilla.org/en-US/firefox/addon/lightbeam/; can you update
> the package, and I'll re-review?

Done.

> *
> https://fedoraproject.org/wiki/User:Kalev/
> MozillaExtensionsDraft#Sample_Spec_File seems to sugggest that XPIs should
> be unpacked? I'm assuming that's no longer the case because of extension
> signing?

That's correct.

> * This is very minor, but rpmlint is unhappy that your bundled font provides
> are not versioned. The versioning information can be acquired by unzipping
> the XPI and running ttname -a over the font files. It'd probably be nice to
> include that information, though I wouldn't consider it a blocker for review.

Done.

Spec URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam.spec
SRPM URL: http://rathann.fedorapeople.org/review/mozilla-lightbeam/mozilla-lightbeam-1.3.1-1.fc24.src.rpm

* Fri Aug 19 2016 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.3.1-1
- update to 1.3.1
- added versions to bundled font Provides

Comment 9 Ben Rosser 2016-08-19 20:03:54 UTC
Awesome, thanks.

Everything looks good-- package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "MIT/X11 (BSD like)", "*No copyright* MIT/X11
     (BSD like)", "Unknown or generated", "*No copyright* MPL (v2.0)". 5
     files have unknown license. Detailed output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1082825-mozilla-
     lightbeam/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384},
     /usr/share/mozilla/extensions/{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mozilla-lightbeam-1.3.1-1.fc26.noarch.rpm
          mozilla-lightbeam-1.3.1-1.fc26.src.rpm
mozilla-lightbeam.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
mozilla-lightbeam.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
mozilla-lightbeam (rpmlib, GLIBC filtered):
    mozilla-filesystem



Provides
--------
mozilla-lightbeam:
    bundled(OpenSans-Bold.ttf)
    bundled(OpenSans-Light.ttf)
    bundled(OpenSans-LightItalic.ttf)
    bundled(fontawesome-fonts-web)
    bundled(js-d3)
    bundled(js-parseuri)
    bundled(js-picomodal)
    mozilla-lightbeam



Source checksums
----------------
https://addons.cdn.mozilla.net/user-media/addons/363974/lightbeam_for_firefox-1.3.1-fx.xpi :
  CHECKSUM(SHA256) this package     : c25f3e491a8c7914de08d4c3df446ac8e4a4942d7b9b1f8afd4838ffb33159dd
  CHECKSUM(SHA256) upstream package : c25f3e491a8c7914de08d4c3df446ac8e4a4942d7b9b1f8afd4838ffb33159dd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1082825
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 Gwyn Ciesla 2016-08-22 11:52:25 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mozilla-lightbeam

Comment 11 Fedora Update System 2016-08-22 14:43:40 UTC
lazygal-0.8.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3422e6d4c

Comment 12 Fedora Update System 2016-08-22 14:43:47 UTC
lazygal-0.8.8-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d507f45a1f

Comment 13 Dominik 'Rathann' Mierzejewski 2016-08-22 21:51:57 UTC
Sorry for the noise. I put in the wrong bug number in my update.

Comment 14 Fedora Update System 2016-08-23 12:32:41 UTC
mozilla-lightbeam-1.3.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-974e78f169

Comment 15 Fedora Update System 2016-08-23 12:32:49 UTC
mozilla-lightbeam-1.3.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b794502237

Comment 16 Fedora Update System 2016-08-23 12:32:53 UTC
mozilla-lightbeam-1.3.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7022ca71b

Comment 17 Fedora Update System 2016-08-23 23:21:00 UTC
mozilla-lightbeam-1.3.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-974e78f169

Comment 18 Fedora Update System 2016-08-24 17:25:56 UTC
mozilla-lightbeam-1.3.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7022ca71b

Comment 19 Fedora Update System 2016-08-24 17:53:17 UTC
mozilla-lightbeam-1.3.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b794502237

Comment 20 Fedora Update System 2016-08-28 08:26:29 UTC
mozilla-lightbeam-1.3.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-08-29 18:53:00 UTC
mozilla-lightbeam-1.3.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-09-01 18:52:27 UTC
mozilla-lightbeam-1.3.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.